Bundles

List Bundles

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
limitinteger · int32OptionalDefault: 100
namestring · nullableOptional

Filter bundles by name. Supports wildcard () for partial matches - use * for contains, prefix for starts with, *suffix for ends with

page_tokenstring · nullableOptional
space_referencesstring[] · nullableOptional

List of space IDs or names to filter results by. If omitted, returns objects from all spaces. To return only objects that belong to no space, include the special value "null" in the list

Responses
chevron-right
200

OK

application/json
get
/api/admin/v2/bundles
200

OK

Create Bundle

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
space_referencestring · nullableOptional

ID or name of the space where to create the resource. If null or empty, the object is created without a space

Body
namestringRequired

Display name of the bundle

Responses
chevron-right
200

OK

application/json
idstringRequired

Unique identifier of the bundle

namestringRequired

Display name of the bundle

creation_datestring · date-timeRequired

ISO 8601 formatted date-time

update_datestring · date-timeRequired

ISO 8601 formatted date-time

post
/api/admin/v2/bundles
200

OK

Get Bundle

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired
Responses
chevron-right
200

OK

application/json
idstringRequired

Unique identifier of the bundle

namestringRequired

Display name of the bundle

creation_datestring · date-timeRequired

ISO 8601 formatted date-time

update_datestring · date-timeRequired

ISO 8601 formatted date-time

get
/api/admin/v2/bundles/{id}
200

OK

Update Bundle

put
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired
Body
namestringRequired

Display name of the bundle

Responses
chevron-right
200

OK

application/json
idstringRequired

Unique identifier of the bundle

namestringRequired

Display name of the bundle

creation_datestring · date-timeRequired

ISO 8601 formatted date-time

update_datestring · date-timeRequired

ISO 8601 formatted date-time

put
/api/admin/v2/bundles/{id}
200

OK

Delete Bundle

delete
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired
Responses
delete
/api/admin/v2/bundles/{id}
204

No Content

No content

List Access Bundles

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
chevron-right
200

OK

application/json
get
/api/v1/access-bundles
200

OK

Create Access Bundle

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
namestringRequired
Responses
chevron-right
200

OK

application/json
idstringRequired
namestringRequired
post
/api/v1/access-bundles
200

OK

Get Access Bundle

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired
Responses
chevron-right
200

OK

application/json
idstringRequired
namestringRequired
get
/api/v1/access-bundles/{id}
200

OK

Delete Access Bundle

delete
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired
Responses
chevron-right
200

OK

application/json
messagestringRequired
delete
/api/v1/access-bundles/{id}
200

OK

Update Access Bundle

patch
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired
Body
namestring · nullableOptional
Responses
chevron-right
200

OK

application/json
idstringRequired
namestringRequired
patch
/api/v1/access-bundles/{id}
200

OK

Last updated

Was this helpful?